import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Luzes {

    public static void main(String[] args) throws IOException {

        String linha;

        BufferedReader entrada;

        entrada = new BufferedReader(new InputStreamReader(System.in));

        String temp[];

        while ((linha = entrada.readLine()) != null) {

            if (linha.equals("0")) {
                break;
            }

            temp = linha.split(" ");
            int s = Integer.parseInt(temp[0]);
            int num = Integer.parseInt(temp[1]);
            int salas[] = new int[s];
            for(int x=0;x<s;x++){
                salas[x] = 0;
            }

            for (int x = 0; x < num; x++) {
                linha = entrada.readLine();
                int n = Integer.parseInt(linha);
                for(int y=0;y<s;y++){
                    if((y+1)%n==0){
                        if(salas[y] == 0){
                            salas[y] = 1;
                        }else{
                            salas[y] = 0;
                        }
                    }
                }
            }
            
            for(int x=0;x<s;x++){
                System.out.print(salas[x]==0?"D":"L");
            }
            
            System.out.println("");

        }
        System.exit(0);
    }

    public static long ConvSeg(String tempo) {
        int horas = Integer.parseInt(tempo.substring(0, 2));
        int minutos = Integer.parseInt(tempo.substring(3, 5));
        int segundos = Integer.parseInt(tempo.substring(6));
        return horas * 3600 + minutos * 60 + segundos;
    }
}
